Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum Caret.SymbolTypeEnum

    java.lang.Object
      java.lang.Enum<Caret.SymbolTypeEnum>
          org.pdfclown.documents.interaction.annotations.Caret.SymbolTypeEnum

All Implemented Interfaces:
  Serializable, Comparable<Caret.SymbolTypeEnum>

Enclosing class:
  Caret

    public static enum Caret.SymbolTypeEnum

extends Enum<Caret.SymbolTypeEnum>

Symbol type [PDF:1.6:8.4.5].

Enum Constant Summary
`NewParagraph` New paragraph.
`None` None.

Method Summary
`static Caret.SymbolTypeEnum` | `get(PdfName value)` Gets the symbol type corresponding to the given value.
`PdfName` | `getCode()`
`static Caret.SymbolTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Caret.SymbolTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NewParagraph

    public static final Caret.SymbolTypeEnum NewParagraph

  New paragraph.

### None

    public static final Caret.SymbolTypeEnum None

  None.

Method Detail

### values

    public static Caret.SymbolTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Caret.SymbolTypeEnum c : Caret.SymbolTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Caret.SymbolTypeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Caret.SymbolTypeEnum get(PdfName value)

  Gets the symbol type corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.